URL structure
{organisationId} is the ID of an organization.
Supported methods and overview
DELETE- removes an organization (specified byorganisationId) configured on the Covata Platform (available to Safe Share administrators only) on the proviso that this organization has an existing request for its removal (made by another Safe Share administrator).
This method takes no parameters.
Detailed description
This API endpoint removes an organization (specified byorganisationId) configured on the Covata Platform by a Safe Share administrator.
For a request to this endpoint to succeed, a previous call to <access-service>/api/v1/organisations/{organisationId}/removalRequest (i.e. to initiate a request to remove this organization) must have already been made by another Safe Share administrator whose access token was submitted in the request to that API endpoint.
Supported roles and conditions
This API endpoint supports the following Covata user roles (as described in the Safe Share Administrator’s Guide):- Safe Share administrator - when this user is a different Safe Share administrator to the one who initiated the request to remove this organization.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
